Aex Brain
HTTP APIAPI

Create a session

Creates a session for the caller's tenant with the given harness, model, instructions, reasoning effort, and tools. Requires a management token. Creating a session records its metadata locally; the harness process starts when the first message is sent.

POST/sessions
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/sessions" \  -H "Authorization: Bearer YOUR_TOKEN" \  -H "Content-Type: application/json" \  -d '{    "config": {      "model": "string",      "tools": [        "string"      ]    },    "harness": "string"  }'
{  "checkpoint": {    "id": "string",    "offset": 0,    "time": "2019-08-24T14:15:22Z"  },  "config": {    "bindings": [      {        "alias": "string",        "executor": "string",        "operations": [          "string"        ],        "parameters": null,        "provider": "string",        "runtime": [          {            "description": "string",            "input_schema": null,            "name": "string",            "output_schema": null          }        ]      }    ],    "instructions": "string",    "model": "string",    "reasoning_effort": "string",    "tools": [      "string"    ]  },  "created_at": "2019-08-24T14:15:22Z",  "credential_bindings": [    "string"  ],  "descriptors": [    {      "description": "string",      "input_schema": null,      "name": "string",      "output_schema": null    }  ],  "harness": "string",  "id": "string",  "status": "string",  "updated_at": "2019-08-24T14:15:22Z"}